# Uses of Class
org.codehaus.janino.Java.MemberClassDeclaration

Packages that use Java.MemberClassDeclaration
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.MemberClassDeclaration in org.codehaus.janino

Subclasses of Java.MemberClassDeclaration in org.codehaus.janino
Modifier and Type
Class
Description
`static final class`
`Java.MemberEnumDeclaration`
Representation of a "member enum declaration", i.e.
Methods in org.codehaus.janino with parameters of type Java.MemberClassDeclaration
Modifier and Type
Method
Description
`R`
Visitor.TypeBodyDeclarationVisitor.`visitMemberClassDeclaration(Java.MemberClassDeclaration mcd)`
Invoked by `accept(Visitor.TypeBodyDeclarationVisitor)`
`R`
Visitor.TypeDeclarationVisitor.`visitMemberClassDeclaration(Java.MemberClassDeclaration mcd)`
Invoked by `accept(Visitor.TypeDeclarationVisitor)`

## Uses of Java.MemberClassDeclaration in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.MemberClassDeclaration
Modifier and Type
Method
Description
`Java.MemberTypeDeclaration`
DeepCopier.`copyMemberClassDeclaration(Java.MemberClassDeclaration subject)`
`void`
AbstractTraverser.`traverseMemberClassDeclaration(Java.MemberClassDeclaration mcd)`
`void`
Traverser.`traverseMemberClassDeclaration(Java.MemberClassDeclaration mcd)`